import Image from 'next/image'
import React from 'react'

const Menu = ({menuImg, itemName, description, basePrice, sizes}) => {
  return (
    <div className='py-1 sm:py-5 flex flex-col gap-2 sm:gap-4 justify-center items-center text-center rounded-xl border border-pink-500 h-[300px] sm:h-[450px] shadow-md hover:shadow-[#E78895] duration-300'>
      <Image src={menuImg} width={300} height={300} alt='menu-donut' className='w-[150px] sm:w-[230px]'/>
      <p className='text-sm sm:text-base font-semibold capitalize text-[#95743D] px-2'>{itemName}</p>
      <p className='text-xs sm:text-sm px-2 line-clamp-2'>{description}</p>
      <p className='text-[#95743D] text-sm'>${basePrice}</p>
      <button className='px-2 py-1 sm:px-4 sm:py-2 rounded-full text-xs sm:text-sm border border-[#E78895] text-[#95743D] font-semibold hover:bg-[#E78895] hover:text-[#FDE2DE] duration-300'>Add to cart</button>
    </div>
  )
}

export default Menu